GoldRush SDK
import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.BaseService.getAddressActivity({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();curl --request GET \
--url https://api.covalenthq.com/v1/address/{walletAddress}/activity/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.covalenthq.com/v1/address/{walletAddress}/activity/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.covalenthq.com/v1/address/{walletAddress}/activity/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated_at": "2023-11-07T05:31:56Z",
"address": "<string>",
"items": [
{
"extends": {
"name": "<string>",
"chain_id": "<string>",
"is_testnet": true,
"db_schema_name": "<string>",
"label": "<string>",
"category_label": "<string>",
"logo_url": "<string>",
"black_logo_url": "<string>",
"white_logo_url": "<string>",
"color_theme": {
"red": 123,
"green": 123,
"blue": 123,
"alpha": 123,
"hex": "<string>",
"css_rgb": "<string>"
},
"is_appchain": true,
"appchain_of": {}
},
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
]
}Cross Chain
Get activity across all chains for address
Commonly used to locate chains which an address is active on with a single API call.
GET
/
v1
/
address
/
{walletAddress}
/
activity
/
GoldRush SDK
import { GoldRushClient } from "@covalenthq/client-sdk";
const ApiServices = async () => {
const client = new GoldRushClient("<GOLDRUSH_API_KEY>");
const resp = await client.BaseService.getAddressActivity({chainName: "chainName", walletAddress: "walletAddress"});
console.log(resp.data);
};
ApiServices();Credit Cost
0.5 per call
Processing
Realtime
Estimate your monthly cost for this API using the Pricing Calculator.
Authorizations
Bearer authentication header of the form: Bearer <token>, where <token> is your GoldRush API Key.
Path Parameters
The requested wallet address. Passing in an ENS, RNS, Lens Handle, or an Unstoppable Domain resolves automatically.
Query Parameters
Set to true to include testnets with activity in the response. By default, it's set to false and only returns mainnet activity.
⌘I